> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/prices.md).

# Prices

The price object and the allowed CRUD operations on the related resource endpoint

[SKUs](/core-api-reference/skus.md) can have a price for each [price list](/core-api-reference/price_lists.md). When you create a [line item](/core-api-reference/line_items.md), it gets the price associated with the order's price list.

#### Price amounts

Each price has an amount (the actual selling price) and an optional *compare-at* amount (the full price that you want to display to the customer — typically with a strikethrough — on your [product](/how-tos/product-discovery/product-page.md) and [product listing](/how-tos/product-discovery/product-listing-page.md) pages). All amounts must be **in cents** (the other conversions — such as float, formatted, etc. — will be automatically calculated).

{% hint style="info" %}
The `compare_at_amount_cents` value must be **greater than or equal to** (usually greater than) the `amount_cent` value. If you try to set for a price a *compare-at* amount lower than the actual amount the API will not return any error, but just set the `compare_at_amount_cents` value equal to the `amount_cents` value.
{% endhint %}

{% hint style="warning" %}
Some currencies have a zero exponent and cannot be expressed in cents (e.g. `JPY` and `HUF`). In such cases, you have to express the value as it is (e.g. `10000` JPY, not `1000000` JPY).
{% endhint %}

#### Price tiers

Prices can be [tiered](/core-api-reference/price_tiers.md) based on the quantity or the frequency (e.g. [subscriptions](/core-api-reference/order_subscriptions.md)) of the item purchased (a maximum of **10** tiers for each price is currently supported). See [price volume tiers](/core-api-reference/price_volume_tiers.md) and [price frequency tiers](/core-api-reference/price_frequency_tiers.md) to learn more.

#### External prices

If you prefer not to manage prices within Commerce Layer but use an external service instead (e.g. to support more dynamic pricing or just rely on an existing service that you are already using) you can leverage our [external prices](https://docs.commercelayer.io/developers/external-resources/external-prices) feature.

<details>

<summary>How-to</summary>

Check the related [guide](https://docs.commercelayer.io/developers/external-resources/external-prices) to learn how to fetch and manage prices via external services.

</details>

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/pricing-and-markets/price-lists-and-currencies.md) and explore the flowchart that illustrates how the price resource relates to the other API entities.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/prices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
